<?php
/** 
 * Database tables information for past and new versions.
 * 
 * This file is not fully in use yet. The intention is to migrate it to the
 * installation class and rather than an array I will simply store every version
 * of each tables query. Each query can be broken down to compare against existing 
 * tables. I find this array approach too hard to maintain over many plugins.
 * 
 * @todo move this to installation class but also reduce the array to actual queries per version
 * 
 * @package CSV 2 POST
 * @author Ryan Bayne   
 * @since 8.0.0
 * @version 8.1.2
 */

// load in WordPress only
defined( 'ABSPATH' ) || die( 'No direct script access allowed!' );
 
 
/*   Column Array Example Returned From "mysql_query( "SHOW COLUMNS FROM..."
        
          array(6) {
            [0]=>
            string(5) "row_id"
            [1]=>
            string(7) "int(11)"
            [2]=>
            string(2) "NO"
            [3]=>
            string(3) "PRI"
            [4]=>
            NULL
            [5]=>
            string(14) "auto_increment"
          }
                  
    +------------+----------+------+-----+---------+----------------+
    | Field      | Type     | Null | Key | Default | Extra          |
    +------------+----------+------+-----+---------+----------------+
    | Id         | int(11)  | NO   | PRI | NULL    | auto_increment |
    | Name       | char(35) | NO   |     |         |                |
    | Country    | char(3)  | NO   | UNI |         |                |
    | District   | char(20) | YES  | MUL |         |                |
    | Population | int(11)  | NO   |     | 0       |                |
    +------------+----------+------+-----+---------+----------------+            
*/
   
global $wpdb;   
$c2p_tables_array =  array();
##################################################################################
#                               c2pprojects                                      #
##################################################################################        
$c2p_tables_array['tables']['c2pprojects']['name'] = $wpdb->prefix . 'c2pprojects';
$c2p_tables_array['tables']['c2pprojects']['required'] = true;// required for all installations or not (boolean)
$c2p_tables_array['tables']['c2pprojects']['pluginversion'] = '8.1.1';
$c2p_tables_array['tables']['c2pprojects']['usercreated'] = false;// if the table is created as a result of user actions rather than core installation put true
$c2p_tables_array['tables']['c2pprojects']['version'] = '0.0.1';// used to force updates based on version alone rather than individual differences
$c2p_tables_array['tables']['c2pprojects']['primarykey'] = 'projectid';
$c2p_tables_array['tables']['c2pprojects']['uniquekey'] = 'projectid';
##################################################################################
#                               c2psources                                      #
##################################################################################        
$c2p_tables_array['tables']['c2psources']['name'] = $wpdb->prefix . 'c2psources';
$c2p_tables_array['tables']['c2psources']['required'] = true;// required for all installations or not (boolean)
$c2p_tables_array['tables']['c2psources']['pluginversion'] = '8.1.1';
$c2p_tables_array['tables']['c2psources']['usercreated'] = false;// if the table is created as a result of user actions rather than core installation put true
$c2p_tables_array['tables']['c2psources']['version'] = '0.0.1';// used to force updates based on version alone rather than individual differences
$c2p_tables_array['tables']['c2psources']['primarykey'] = 'sourceid';
$c2p_tables_array['tables']['c2psources']['uniquekey'] = 'sourceid';                
?>