<?php         
/*
Plugin Name: CSV 2 POST
Version: 8.2.19
Plugin URI: http://www.webtechglobal.co.uk/csv-2-post
Description: CSV 2 POST data importer for WordPress by Ryan R. Bayne.
Author: WebTechGlobal
Author URI: http://www.webtechglobal.co.uk/
Last Updated: January 2017
Text Domain: csv2post
Domain Path: /languages

GPL v3 

This program is free software downloaded from WordPress.org: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. This means
it can be provided for the sole purpose of being developed further
and we do not promise it is ready for any one persons specific needs.
See the GNU General Public License for more details.

See <http://www.gnu.org/licenses/>.
*/           
  
// Prohibit direct script loading
defined( 'ABSPATH' ) || die( 'Direct script access is not allowed!' );

// exit early if CSV 2 POST doesn't have to be loaded
if ( ( 'wp-login.php' === basename( $_SERVER['SCRIPT_FILENAME'] ) ) // Login screen
    || ( defined( 'XMLRPC_REQUEST' ) && XMLRPC_REQUEST )
    || ( defined( 'DOING_CRON' ) && DOING_CRON ) ) {
    return;
}
              
// define constants                              
if(!defined( "CSV2POST_VERSION") ){define( "CSV2POST_VERSION", '8.2.19' );}
if(!defined( "CSV2POST_WPVERSIONMINIMUM") ){define( "CSV2POST_WPVERSIONMINIMUM", '4.2.0' );}// The minimum php version that will allow the plugin to work
if(!defined( "CSV2POST_PHPVERSIONMINIMUM") ){define( "CSV2POST_PHPVERSIONMINIMUM", '5.4.0' );}// The minimum php version that will allow the plugin to work 
if(!defined( "CSV2POST_TITLE") ){define( "CSV2POST_TITLE", 'CSV 2 POST Free Edition' );} 
if(!defined( "CSV2POST_NAME") ){define( "CSV2POST_NAME", trim( dirname( plugin_basename( __FILE__ ) ), '/') );} 
if(!defined( "CSV2POST__FILE__") ){define( "CSV2POST__FILE__", __FILE__);}
if(!defined( "CSV2POST_DIR_PATH") ){define( "CSV2POST_DIR_PATH", plugin_dir_path( __FILE__) );}
if(!defined( "CSV2POST_BASENAME") ){define( "CSV2POST_BASENAME",plugin_basename( CSV2POST__FILE__ ) );}
if(!defined( "CSV2POST_ABSPATH") ){define( "CSV2POST_ABSPATH", plugin_dir_path( __FILE__) );}//C:\AppServ\www\wordpress-testing\wtgplugintemplate\wp-content\plugins\wtgplugintemplate/                                                                 
if(!defined( "CSV2POST_IMAGES_URL") ){define( "CSV2POST_IMAGES_URL",plugins_url( 'images/' , __FILE__ ) );}
if(!defined( "CSV2POST_PORTAL" ) ){define( "CSV2POST_PORTAL", 'http://www.webtechglobal.co.uk/csv2post/' );}
if(!defined( "CSV2POST_FORUM" ) ){define( "CSV2POST_FORUM", 'http://forum.webtechglobal.co.uk/viewforum.php?f=8' );}
if(!defined( "CSV2POST_TWITTER" ) ){define( "CSV2POST_TWITTER", 'http://www.twitter.com/CSV2POST' );}
if(!defined( "CSV2POST_FACEBOOK" ) ){define( "CSV2POST_FACEBOOK", 'https://www.facebook.com/CSV2POST/' );}
if(!defined( "CSV2POST_YOUTUBEPLAYLIST" ) ){define( "CSV2POST_YOUTUBEPLAYLIST", 'https://www.youtube.com/playlist?list=PLMYhfJnWwPWA1aHGE28PVAF38xzhgKWdi' );}
 
// define WebTechGlobal constants applicable to all projects...
if(!defined( "WEBTECHGLOBAL_FULLINTEGRATION") ){define( "WEBTECHGLOBAL_FULLINTEGRATION", false );}// change to true to force tables and files to be shared among WTG plugins automatically
if(!defined( "WEBTECHGLOBAL_FORUM" ) ){define( "WEBTECHGLOBAL_FORUM", 'http://forum.webtechglobal.co.uk/' );}
if(!defined( "WEBTECHGLOBAL_TWITTER" ) ){define( "WEBTECHGLOBAL_TWITTER", 'http://www.twitter.com/WebTechGlobal/' );}
if(!defined( "WEBTECHGLOBAL_FACEBOOK" ) ){define( "WEBTECHGLOBAL_FACEBOOK", 'https://www.facebook.com/WebTechGlobal1/' );}
if(!defined( "WEBTECHGLOBAL_REGISTER" ) ){define( "WEBTECHGLOBAL_REGISTER", 'http://www.webtechglobal.co.uk/login/?action=register' );}
if(!defined( "WEBTECHGLOBAL_LOGIN" ) ){define( "WEBTECHGLOBAL_LOGIN", 'http://www.webtechglobal.co.uk/login/' );}
if(!defined( "WEBTECHGLOBAL_YOUTUBE" ) ){define( "WEBTECHGLOBAL_YOUTUBE", 'https://www.youtube.com/user/WebTechGlobal' );}
if(!defined( "WEBTECHGLOBAL_AUTHORURI" ) ){define( "WEBTECHGLOBAL_AUTHORURI", 'https://www.webtechglobal.co.uk/' );}
if(!defined( "WEBTECHGLOBAL_DONATE" ) ){define( "WEBTECHGLOBAL_DONATE", 'https://www.patreon.com/ryanbayne' );}
if(!defined( "WEBTECHGLOBAL_TRELLO" ) ){define( "WEBTECHGLOBAL_TRELLO", 'https://trello.com/webtechglobal' );}
if(!defined( "WEBTECHGLOBAL_SLACK" ) ){define( "WEBTECHGLOBAL_SLACK", 'https://webtechglobal.slack.com' );}
if(!defined( "WEBTECHGLOBAL_DISCORD" ) ){define( "WEBTECHGLOBAL_DISCORD", 'https://discord.gg/xBNYA7Q' );}
if(!defined( "WEBTECHGLOBAL_SKYPE" ) ){define( "WEBTECHGLOBAL_SKYPE", 'https://join.skype.com/girlPBmZUKuq' );}
if(!defined( "WEBTECHGLOBAL_GITHUB" ) ){define( "WEBTECHGLOBAL_GITHUB", 'https://github.com/WebTechGlobal' );}
if(!defined( "WEBTECHGLOBAL_CODECANYON" ) ){define( "WEBTECHGLOBAL_CODECANYON", 'https://codecanyon.net/user/webtechglobal' );}
if(!defined( "WEBTECHGLOBAL_LINKEDIN" ) ){define( "WEBTECHGLOBAL_LINKEDIN", 'https://www.linkedin.com/in/webtechglobal' );}
if(!defined( "WEBTECHGLOBAL_GOOGLEPLUS" ) ){define( "WEBTECHGLOBAL_GOOGLEPLUS", 'https://plus.google.com/u/0/b/101859474847742721194/+WebtechglobalCoUk/about' );}
        
// Functions required on loading (will be autoloaded eventually)
require_once( CSV2POST_DIR_PATH . 'functions/functions.debug.php');

// require very common classes and finally the main class for loading the plugin 
require_once( CSV2POST_ABSPATH . 'classes/class-wpdb.php' );
require_once( CSV2POST_ABSPATH . 'classes/class-options.php');
require_once( CSV2POST_ABSPATH . 'classes/class-install.php');                                                  
require_once( CSV2POST_ABSPATH . 'classes/class-wpdb.php' );
require_once( CSV2POST_ABSPATH . 'classes/class-configuration.php' );
require_once( CSV2POST_ABSPATH . 'classes/class-csv2post.php' );
require_once( CSV2POST_ABSPATH . 'classes/class-schedule.php' );
require_once( CSV2POST_ABSPATH . 'classes/class-automation.php' );

add_action( 'plugins_loaded', array( 'CSV2POST', 'init' ));

// localization
function csv2post_textdomain() {
    load_plugin_textdomain( 'csv2post', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' ); 
}
add_action( 'plugins_loaded', 'csv2post_textdomain' );  

// Install the plugin on activation only.
// TODO 4 -o Ryan Bayne -c Installation: The installation approach has changed, see Multitool. This new object line has been removed.
$install = new CSV2POST_Install();
register_activation_hook( __FILE__, array( $install, 'install_plugin' ) ); 
register_deactivation_hook( __FILE__, array( $install, 'deactivate_plugin' ) );                                                                                                    
?>